﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XamDataChartYAxisLabelsCase
{
    public class ViewModel
    {
        public ObservableCollection<SampleData> Data { get; set; }

        int[] values = { 1, 2, 3, 4, 3, 2, 1 };

        public ViewModel()
        {
            Data = new ObservableCollection<SampleData>();

            for (int i = 0; i < values.Length; i++)
            {
                if (values[i] == 1)
                {
                    Data.Add(new SampleData()
                    {
                        Date = DateTime.Today.AddDays(i),
                        Value = values[i],
                        LSValue = i,
                        YAxisLabel = "One"
                    });
                }
                else if (values[i] == 2)
                {
                    Data.Add(new SampleData()
                    {
                        Date = DateTime.Today.AddDays(i),
                        Value = values[i],
                        LSValue = i,
                        YAxisLabel = "Two"
                    });
                }

                else if (values[i] == 3)
                {
                    Data.Add(new SampleData()
                    {
                        Date = DateTime.Today.AddDays(i),
                        Value = values[i],
                        LSValue = i,
                        YAxisLabel = "Three"
                    });
                }
                else
                {
                    Data.Add(new SampleData()
                    {
                        Date = DateTime.Today.AddDays(i),
                        Value = values[i],
                        LSValue = i,
                        YAxisLabel = "Four"
                    });
                }
            }
        }
    }

    public class SampleData
    {
        public DateTime Date { get; set; }
        public int Value { get; set; }
        public int LSValue { get; set; }
        public string YAxisLabel { get; set; }

    }
}
